'''
반복문(while)

형식)
while 조건식 :
    반복문
    반복문 

loop : 반복문 집합    
'''

# 카운터(index)/누적변수 
idx = tot = 0

while idx < 5 : # 0 < 5    # True : loop(명령문 집합)- 수행
    idx += 1 # 카운터 변수
    tot += idx # 누적변수 : tot = tot + idx 
    print(idx, tot)

print(idx, tot) # 5 10

# 1 ~ 100 까지 3의 배수 합과 원소 추출하기
cnt = tot = 0
dataset = []  # 빈 list

while cnt < 100:  # 100회 반복
    cnt += 1  # 카운터

    if cnt % 3 == 0:
        tot += cnt  # 누적변수
        dataset.append(cnt)  # 3차 작성

print('1 ~ 100사이 3의 배수 합 = %d' % tot)  # 1683
print('dataset =', dataset)  # [3, 6, 9, ... 99]




# 무한 loop : exit 조건식 포함
numData = []
 
while True :
    num = int(input("숫자 입력 : "))
    
    if num % 10 == 0 : # exit 조건식 
        print("프로그램 종료")
        break 
    else :
        print(num)
        numData.append(num)
        
print(numData)


'''
continue, break
 - continue : 계속 반복, 다음 문장 skip
 - break : 탈출(exit)
'''

i = 0
while i < 10:
    i += 1  # 카운터
    if i == 3:
        continue  # 1 2 4 5 6 7 8 9 10 -> 다음 문장 skip
    if i == 6:  # 2차 작성
        break  # 1 2 4 5  -> exit
    print(i, end=' ')
