'''
반복문(for)

형식)
for 변수 in 열거형data :
    실행문
    실행문
    
제너레이터식 : 변수 in 열거형data(object)  
열거형data(iterable) : string,list,tuple,set,dict  
'''

# 문자열 열거형객체 이용
string = "홍길동"

# 1문자 -> 변수 넘김 : 3회
print("문자 길이 =", len(string)) # 3

for s in string : 
    print(s) # 나는 홍길동 입니다.

print() # line skip

# split -> 변수 넘김 : 3회 
for s in string.split() : # sep=' '
    print(s, end=' ') # 나는 홍길동 입니다.
     
print()

# list 열거형객체 이용
lstset = [1,2,3,4,5] # 1차원(vector)

for e in lstset :
    print('원소 : ', e)

help(range)
'''
range(stop) : 0~stop-1 정수 
range(start, stop) : start~stop-1 정수
range(start, stop, step) : start ~ stop, step 단위 증감
'''
    
num1 = range(10) # 0~4
print('num1 : ', num1) # range(0, 10)

num2 = range(1, 10)
print('num2 : ', num2) # range(1, 10)

num3 = range(1, 10, 2)
print('num3 :', num3) # range(1, 10, 2)

for n in num1 :
    print(n, end = ' ')
print()

for n in num2 :
    print(n, end = ' ')
print()

for n in num3 :
    print(n, end = ' ')

num2 = range(1,5) # 1~4
print('num2 : ', num2) # num2 :  range(1, 5)

num2 = list(num2)
print(num2) # [1, 2, 3, 4]

lst = list(range(1,101)) # 1 ~ 100
print('lst :', lst)
lst2 = [] # 빈list

for i in lst : # 100회 
    if i % 5 == 0 :
        print(i, end = ' ') 
        lst2.append(i)   
# 5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100
print()
print(lst2)
# [5, 10, 15, 20, 25, 30, 35, 40, 45, 50, 55, 60, 65, 70, 75, 80, 85, 90, 95, 100]









