
# 4. 획득자와 지정저, nonlocal : inner -> outer 변수 수정

'''
getter() : 함수 내 변수를 외부로 반환 함수 
setter() : 함수 내 변수를 외부에서 수정 함수 
'''


def main_func(num):
    num_val = num  # 함수 내 변수=100 -> 200

    def getter():  # 인수 없음, return 있음
        return num_val

    def setter(value):  # 인수 있음, return 없음
        nonlocal num_val  # outer 변수 지정
        num_val = value

    return getter, setter


getter, setter = main_func(100)  # num 생성

print('num =', getter())  # num = 100
setter(200)  # num 값 수정
print('num =', getter())  # num 수정 확인 : num = 200

