# -*- coding: utf-8 -*-
"""
참고 사이트 : https://matplotlib.org

2. 기본 차트 그리기 
"""

import numpy as np # dataset 

# 차트에서 한글 지원 
import matplotlib.pyplot as plt
plt.rcParams['font.family'] = 'Malgun Gothic'

# 음수 부호 지원 
import matplotlib
matplotlib.rcParams['axes.unicode_minus'] = False


# 2. 기본 차트 그리기 

# 1) 차트 자료 만들기 
help(np.arange)
data = np.arange(-3, 7) # range(start, step) 
print(data) # [ -3, -2, -1,  0,  1,  2,  3,  4,  5,  6]
print(len(data)) # 10 

# 2) 기본 선 스타일과 색생
plt.plot(data) # 그리기 
plt.title('기본 선 스타일과 색상을 지원')
plt.show() # 보이기 

# 3) 동일한 빨강색 플러스  
plt.plot(data, 'r+') # 그리기 
plt.title('선 스타일은 +, 선색은 빨강')
plt.show() # 보이기

# 4) x, y축 선스타일과 색상 
data2 = np.random.randn(10) # 차트 자료 만들기 
plt.plot(data, data2)
plt.title('default line style and color')
plt.show()

# 5) color, marker 이용 
plt.plot(data, data2, 'ro') # 'color+marker'
plt.show()




