# -*- coding: utf-8 -*-
"""
4. 이산형 변수 시각화 : 막대차트, 원차트 
"""

# 차트에서 한글 지원 
import matplotlib.pyplot as plt
import numpy as np
plt.rcParams['font.family'] = 'Malgun Gothic'


# 4. 이산형 변수 시각화 : 막대차트, 원차트 

# 1) 차트 자료 
data6 = [127, 90, 201, 150, 250] # 국가별 수출현황 
idx = np.arange(len(data6)) # 0~4 
labels = ['싱가폴', '태국', '한국', '일본', '미국']
print(data6)
print(idx)
print(labels)

# 2) 세로막대
plt.bar(x=idx+2000, height=data6)
plt.title("각 국가별 수출현황")
plt.xlabel("년도")
plt.ylabel("수출현황(단위 : 달러)")
plt.show()

# 3) 가로막대 
plt.barh(y=idx+2000, width=data6)
plt.title("각 국가별 수출현황")
plt.ylabel("년도")
plt.xlabel("수출현황(단위 : 달러)")
plt.show()

# 4) 원 차트 
#plt.pie(x, explode, labels,colors,autopct)
plt.pie(x = data6, labels = labels)
plt.show()

