# -*- coding: utf-8 -*-
"""
5. subplot 차트 그리기
"""

import matplotlib.pyplot as plt
import numpy as np # dataset 


# 5. subplot 차트 그리기

# 1) Figure 객체 & subplot 만들기 
fig = plt.figure(figsize=(10, 5)) # 차트 크기 지정 
x1 = fig.add_subplot(2,2,1) # 2행2열 1번 
x2 = fig.add_subplot(2,2,2) # 2행2열 2번
x3 = fig.add_subplot(2,2,3) # 2행2열 3번
x4 = fig.add_subplot(2,2,4) # 2행2열 4번

# 2) 차트 자료  
data1 = np.random.randn(100) # 난수 실수 100개 
data2 = np.random.randint(1,100, 100)# 난수 정수 100개 
cdata = np.random.randint(1, 4, 100)
print(data1)
print(data2)
print(cdata)

# 3) subplot 차트 그리기 
x1.hist(data1) # 2행2열 1번 : 히스토그램 
x2.scatter(data1, data2, c=cdata) # 2행2열 2번 : 산점도  
x3.plot(data2) # 2행2열 3번 : 기본 선 스타일과 색 
x4.plot(data2, 'g--') #  2행2열 4번 : 선 색상과 스타일 
plt.show()



