# -*- coding: utf-8 -*-
"""
Seaborn : Matplotlib 기반 다양한 배경 테마, 통계용 차트 제공 
커널 밀도(kernel density), 카운트 플롯, 다차원 실수형 데이터,2차원 카테고리 데이터
2차원 복합 데이터(box-plot), heatmap, catplot
"""

import seaborn as sn

# 1. seaborn dataset
print(sn.get_dataset_names())

 
iris = sn.load_dataset('iris')
print(iris.info())
'''
 0   sepal_length  150 non-null    float64
 1   sepal_width   150 non-null    float64
 2   petal_length  150 non-null    float64
 3   petal_width   150 non-null    float64
 4   species       150 non-null    object 
''' 

tips = sn.load_dataset('tips')
print(tips.info())
'''
RangeIndex: 244 entries, 0 to 243
Data columns (total 7 columns):
 0   total_bill  244 non-null    float64 
 1   tip         244 non-null    float64 
 2   sex         244 non-null    category
 3   smoker      244 non-null    category
 4   day         244 non-null    category
 5   time        244 non-null    category
 6   size        244 non-null    int64     
'''

print(tips.day) 
# Categories (4, object): [Thur, Fri, Sat, Sun]

titanic = sn.load_dataset('titanic')
print(titanic.info())
'''
RangeIndex: 891 entries, 0 to 890
Data columns (total 15 columns):
'''

flights = sn.load_dataset('flights')
print(flights.info())
'''
RangeIndex: 144 entries, 0 to 143
Data columns (total 3 columns):
0   year        144 non-null    int64   
1   month       144 non-null    category
2   passengers  144 non-null    int64     
'''

