# -*- coding: utf-8 -*-
"""
step01_Descriptive.py

1. DataFrame의 요약통계량 
2. 대푯값 
3. 사분위수 
4. 산포도
"""

import pandas as pd 

product = pd.read_csv('C:/PythonStatistics/data/product.csv')
print(product.info())

product.head(10)
product.tail(10)

# product 호출 메서드 확인 
print(dir(product)) # product 호출 메서드 확인

# 1. 요약통계량
summ = product.describe() # summary
print(summ)

# 2. 대푯값 
print(product.mean(axis = 0)) # 칼럼 단위 평균 
print(product.median(axis = 0)) # 칼럼 단위 중위수
print(product.sum(axis = 0)) # 칼럼 단위 합계
print(product.mode(axis = 0)) # 칼럼 단위 최빈수
print(product.a.value_counts()) # a 칼럼 빈도수

# 3. 사분위수 
print(product.quantile(q=0.25, axis = 0))#제1사분위수 
print(product.quantile(q=0.50, axis = 0))#제2사분위수 
print(product.quantile(q=0.75, axis = 0))#제3사분위수 

# 4. 산포도   
print(product.min()) # 칼럼 단위 최솟값
print(product.max()) # 칼럼 단위 최댓값
print(product.var(axis = 0)) # 칼럼 단위 표본분산
print(product.std(axis = 0)) # 칼럼 단위 표본표준편차 

























