# -*- coding: utf-8 -*-
"""
Created on Mon Feb 22 22:13:13 2021

@author: user
"""
import numpy as np

# 3. 유니버설 함수  

# 1) 단항 유니버설 함수 
data = np.random.randn(5) # 1차원 난수 배열  
print('data :', data) # 1차원 난수 

print('절댓값 :', np.abs(data)) # 절댓값
print('제곱근 :', np.sqrt(data)) # 제곱근

print('제곱 :', np.square(data)) # 제곱 
print('부호 :', np.sign(data)) # 부호 

print('분산 :',np.var(data)) # 분산
print('표준편차 :', np.std(data)) # 표준편차

# 2) 이항 유니버설 함수 

print(np.power(data, 2)) # 거듭제곱 
print(np.maximum(data, 1)) # 큰 값 반환 
print(np.minimum(data, 0)) # 작은 값 반환 
print(np.mod(data, 2)) # 나머지값 반환

print(np.greater_equal(data, 0.1)) # data >= 0.1
print(np.less_equal(data, 0.3)) # data <= 0.3

# data >= 0.1 조건에 만족하는 원소 
print(data[np.greater_equal(data, 0.1)]) # 0.1
# data <= 0.3 조건에 만족하는 원소 
print(data[np.less_equal(data, 0.3)])

x = np.greater_equal(data, -0.3)
y = np.less_equal(data, 0.9)

# -0.3 ~ 0.9 사이의 원소 
print(data[np.logical_and(x, y)])

# 3) 객체 메서드 제공 
data = np.random.randn(3, 4) # 2차원 난수 배열
print(data) # 2차원 행렬구조 
print(data.shape) # 차원 모양

print('합계=', data.sum()) # 합계
print('평균=', data.mean()) # 평균
print('표준편차=', data.std()) # 표준편차
print('최댓값=', data.max()) # 최댓값
print('최솟값=', data.min()) # 최솟값

print(dir(data)) # 호출 가능한 메서드 보기 