
# -*- coding: utf-8 -*-


import numpy as np # 별칭 
import matplotlib.pyplot as plt # 그래프 

# 2. 정규분포와 균등분포

# 1) 정규분포  : N(평균, 표준편차^2))
Normal = np.random.normal(0, 1, 1000) # N(0, 1^2)
print(Normal) 

# 난수 통계
print(Normal.mean()) # 0.01312405818646862
print(Normal.std()) # 0.9914304042945953

# 정규분포 시각화 
plt.hist(Normal)
plt.show()


# 2) 균등분포 : [최솟값, 최댓값)
Uniform = np.random.uniform(0, 1, 1000)
print(Uniform.mean()) # 0.49528548853622545

# 균등분포 시각화 
plt.hist(Uniform)
plt.show()








