# -*- coding: utf-8 -*-
"""
참고 사이트 : https://matplotlib.org
1. matplotlib 사용법
"""


import numpy as np # data 생성
import matplotlib.pyplot as plt # data 시각화 

# 1. matplotlib 사용법

# 차트 자료 
data = np.random.randn(100) # 1) 정규분포 자료 생성 

# 1) 정규분포 시각화 
plt.plot(data)
plt.title("Visualize the normal distribution")
plt.xlabel("index")
plt.ylabel("random number")
plt.show()


# 2) 한글과 음수 부호 지원 
# 한글 지원 
plt.rcParams['font.family'] = 'Malgun Gothic'

#음수 부호 지원 
import matplotlib
matplotlib.rcParams['axes.unicode_minus'] = False

# 정규분포 시각화 : 한글지원 
plt.plot(data)
plt.title("정규분포를 따르는 난수 시각화")
plt.xlabel("색인(index)")
plt.ylabel("난수(random number")
plt.show()
 

