
import matplotlib.pyplot as plt
import seaborn as sn
import pandas as pd


# 6. heatmap     

# 1) y true vs y pred
y_true = pd.Series([1,0,1,0,0])      
y_pred = pd.Series([1,0,1,0,1])

# 2) 교차분할표 
mat = pd.crosstab(y_true, y_pred)
mat
'''
col_0  0  1
row_0      
0      2  1
1      0  2
'''

# 3) 분류정확도 
score = (mat.iloc[0,0]+mat.iloc[1,1])/len(y_true) 
print('score =', score)

# 4) heatmap
sn.heatmap(mat, annot=True, fmt="d", linewidths=1)
# annot : box안의 빈도수, fmt=빈도수 양식(fmt=".2f" : 실수) 
plt.ylabel('Actual label');
plt.xlabel('Predicted label');
acc_score = 'Accuracy Score: {0}'.format(score)
plt.title(acc_score, size = 18)
plt.show()















