# -*- coding: utf-8 -*-
"""
문3) 교육방법에 따른 실기점수의 평균에 차이가 있는지를 단계별로 독립표본 T검정을 수행하시오.
     <조건1> 변수 선택 : 교육방법(method), 실기점수(score)
     <조건2> 결측치(NaN)는 평균으로 대체 
"""

from scipy import stats # test
import pandas as pd # csv file read


# 단계1. csv file 자료 가져오기
sample = pd.read_csv('C:/PythonStatistics/data/two_sample.csv')
print(sample.info())

# 단계2. 변수 선택  
two_df = sample[['method', 'score']]
print(two_df)

# 교육방법 기준 빈도수  
print(two_df['method'].value_counts())

# 단계3. 교육방법 기준 서브셋(subset)
method1 = two_df[two_df.method==1]
method2 = two_df[two_df.method==2]

# score 칼럼 추출 
score1 = method1.score
score2 = method2.score

print(score1) # 집단1 : 교육방법1의 실기점수 
print(score2) # 집단2 : 교육방법2의 실기점수 

# 단계4. 결측치 평균 대체 
score1 = score1.fillna(score1.mean()) # 집단1
score2 = score2.fillna(score2.mean()) # 집단2


# 단계5.  두 집단 평균차이 검정 


# 단계6. 귀무가설 채택 or 기각 결정

    
# 단계7. 기술통계 : 두 표본집단 평균  








